#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeplasmaver	6.3.1
%define		qt_ver		6.7.0
%define		kf_ver		6.5.0
%define		kpname		plasma-activities

Summary:	Plasma KActivities components
Summary(pl.UTF-8):	Komponenty Plazmy KActivities
Name:		kp6-%{kpname}
Version:	6.3.1
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	90d3672a3dc690677bcc3fcda066a337
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6DBus-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Qml-devel >= %{qt_ver}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Sql-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	boost-devel >= 1.49
BuildRequires:	cmake >= 3.16.0
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
# C++20
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	xz
Obsoletes:	kp5-plasma-activities < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Core components for the KDE Activity concept.

%description -l pl.UTF-8
Główne komponenty idei KDE Activity.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Core-devel >= %{qt_ver}
Requires:	libstdc++-devel >= 6:8
Obsoletes:	kp5-plasma-activities < 6

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}

%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/plasma-activities-cli6
%attr(755,root,root) %{_libdir}/libPlasmaActivities.so.*.*
%ghost %{_libdir}/libPlasmaActivities.so.6
%dir %{_libdir}/qt6/qml/org/kde/activities
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/activities/libplasmaactivitiesextensionplugin.so
%{_libdir}/qt6/qml/org/kde/activities/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/activities/plasmaactivitiesextensionplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/activities/qmldir
%{_datadir}/qlogging-categories6/plasma-activities.categories
%{_datadir}/qlogging-categories6/plasma-activities.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libPlasmaActivities.so
%{_includedir}/PlasmaActivities
%{_libdir}/cmake/PlasmaActivities
%{_pkgconfigdir}/PlasmaActivities.pc
%changelog
* Sat Feb 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-plasma-activities.git;a=log;h=master

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7dfe2fd
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a7251e4
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a43b672
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cffa327
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7f73c90
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 348152f
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 71838b0
- updated to 6.2.1

* Sun Oct 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 42abe29
- space

* Fri Oct 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 1fead42
- updated dependencies

* Fri Oct 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 63a9c94
- (mostly files) cleanup

* Fri Oct 11 2024 Jakub Bogusz <qboosh@pld-linux.org> c60b20a
- macros for ninja

* Fri Oct 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 1565735
- pl

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9d148ec
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3411ba5
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ce68ae8
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cd0f314
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 278d58e
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c3bc986
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e5699b7
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 738a7fc
- updated to 6.0.5

